GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_service_account_credentials Struct Reference

`#include <credentials.h>`

## Data Fields
grpc_oauth2_token_fetcher_credentials | base
grpc_auth_json_key | key
char * | scope
gpr_timespec | token_lifetime

## Field Documentation

grpc_oauth2_token_fetcher_credentials grpc_service_account_credentials::base

grpc_auth_json_key grpc_service_account_credentials::key

char* grpc_service_account_credentials::scope

gpr_timespec grpc_service_account_credentials::token_lifetime

The documentation for this struct was generated from the following file:

- src/core/security/credentials.h